# Interface IAbstractBinaryTreeNode<T, NEIGHBOR>

#### Type Parameters

- #### T

- #### NEIGHBOR extends IAbstractBinaryTreeNode<T, NEIGHBOR>

#### Hierarchy

- IAbstractBinaryTreeNode

#### Implemented by

- AbstractBinaryTreeNode

- Defined in src/interfaces/abstract-binary-tree.ts:14

#####
Index

### Accessors

familyPosition
height
id
left
parent
right
val

## Accessors

### familyPosition

- get familyPosition(): FamilyPosition

- #### Returns FamilyPosition

  - Defined in src/interfaces/abstract-binary-tree.ts:35

### height

- get height(): number

- #### Returns number

  - Defined in src/interfaces/abstract-binary-tree.ts:37
- set height(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  - Defined in src/interfaces/abstract-binary-tree.ts:39

### id

- get id(): number

- #### Returns number

  - Defined in src/interfaces/abstract-binary-tree.ts:15
- set id(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  - Defined in src/interfaces/abstract-binary-tree.ts:17

### left

- get left(): undefined | null | NEIGHBOR

- #### Returns undefined | null | NEIGHBOR

  - Defined in src/interfaces/abstract-binary-tree.ts:23
- set left(v): void

- #### Parameters

  - ##### v: undefined | null | NEIGHBOR

  #### Returns void

  - Defined in src/interfaces/abstract-binary-tree.ts:25

### parent

- get parent(): undefined | null | NEIGHBOR

- #### Returns undefined | null | NEIGHBOR

  - Defined in src/interfaces/abstract-binary-tree.ts:31
- set parent(v): void

- #### Parameters

  - ##### v: undefined | null | NEIGHBOR

  #### Returns void

  - Defined in src/interfaces/abstract-binary-tree.ts:33

### right

- get right(): undefined | null | NEIGHBOR

- #### Returns undefined | null | NEIGHBOR

  - Defined in src/interfaces/abstract-binary-tree.ts:27
- set right(v): void

- #### Parameters

  - ##### v: undefined | null | NEIGHBOR

  #### Returns void

  - Defined in src/interfaces/abstract-binary-tree.ts:29

### val

- get val(): undefined | T

- #### Returns undefined | T

  - Defined in src/interfaces/abstract-binary-tree.ts:19
- set val(v): void

- #### Parameters

  - ##### v: undefined | T

  #### Returns void

  - Defined in src/interfaces/abstract-binary-tree.ts:21

Generated using TypeDoc